package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.MinioFile;

/**
 * minio文件存储Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-30
 */
public interface MinioFileMapper {
    /**
     * 查询minio文件存储
     *
     * @param id minio文件存储主键
     * @return minio文件存储
     */
    public MinioFile selectMinioFileById(Long id);

    /**
     * 查询minio文件存储列表
     *
     * @param minioFile minio文件存储
     * @return minio文件存储集合
     */
    public List<MinioFile> selectMinioFileList(MinioFile minioFile);

    /**
     * 新增minio文件存储
     *
     * @param minioFile minio文件存储
     * @return 结果
     */
    public int insertMinioFile(MinioFile minioFile);

    /**
     * 修改minio文件存储
     *
     * @param minioFile minio文件存储
     * @return 结果
     */
    public int updateMinioFile(MinioFile minioFile);

    /**
     * 删除minio文件存储
     *
     * @param id minio文件存储主键
     * @return 结果
     */
    public int deleteMinioFileById(Long id);

    /**
     * 批量删除minio文件存储
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMinioFileByIds(Long[] ids);


    /**
     * 根据文件名查询
     *
     * @param fileName
     * @return
     */
    MinioFile selectMinioFileName(String fileName);
}
